> ## Documentation Index
> Fetch the complete documentation index at: https://docs.frate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Line Item Images

> List Line Item Images



## OpenAPI

````yaml GET /v2/line-item-images
openapi: 3.1.0
info:
  title: Frate Returns API
  version: 0.1.0
servers:
  - url: /api
security: []
paths:
  /v2/line-item-images:
    get:
      tags:
        - line-item-images
      summary: List Line Item Images
      description: List LineItemImages for the shop (cursor-paginated)
      operationId: list_line_item_images_v2_line_item_images_get
      parameters:
        - name: after
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: After
        - name: before
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Before
        - name: order
          in: query
          required: false
          schema:
            enum:
              - DESC
              - ASC
            type: string
            default: DESC
            title: Order
        - name: limit
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Limit
        - name: return_group_ids
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  type: integer
              - type: 'null'
            description: Return group IDs
            title: Return Group Ids
          description: Return group IDs
        - name: x-frate-api-token
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Frate-Api-Token
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LineItemImageListSerializer'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    LineItemImageListSerializer:
      properties:
        items:
          items:
            $ref: '#/components/schemas/LineItemImageSerializer'
          type: array
          title: Items
          description: List of line item images
        page_info:
          $ref: '#/components/schemas/PageInfoSerializer'
          description: Pagination metadata
      type: object
      required:
        - items
        - page_info
      title: LineItemImageList
      description: Paginated list of LineItemImage items.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    LineItemImageSerializer:
      properties:
        type:
          type: string
          const: line_item_image
          title: Type
          description: The type identifier for this resource
          default: line_item_image
        id:
          type: integer
          title: Id
          description: Unique identifier for the line item image
        filename:
          type: string
          title: Filename
          description: Original filename
        size:
          type: integer
          title: Size
          description: File size in bytes
        return_group_id:
          type: integer
          title: Return Group Id
          description: ID of the return group
        return_id:
          type: integer
          title: Return Id
          description: ID of the return (returns table)
        url:
          type: string
          title: Url
          description: Presigned GET URL for the image. URL is good for 1 hour.
      type: object
      required:
        - id
        - filename
        - size
        - return_group_id
      title: LineItemImage
      description: >-
        LineItemImage serializer with return_group_id, return_id, and presigned
        url.
    PageInfoSerializer:
      properties:
        has_prev_page:
          type: boolean
          title: Has Prev Page
        has_next_page:
          type: boolean
          title: Has Next Page
        start_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Start Cursor
        end_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: End Cursor
        start_index:
          anyOf:
            - type: integer
            - type: 'null'
          title: Start Index
        end_index:
          anyOf:
            - type: integer
            - type: 'null'
          title: End Index
        total_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Count
      type: object
      required:
        - has_prev_page
        - has_next_page
      title: PageInfo
      description: PageInfo for cursor-paginated list responses.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````